## twisted 1.1.1

=== sandbox/warner/Makefile ===
all: lint banana.html

lint: banana.xhtml
	-lore -n --output lint $<
banana.html: banana.xhtml
	lore -p --config template=../../doc/howto/template.tpl \
		--config ext=.html $<

test:
	../../bin/trial -v test_banana test_schema test_pb

clean:
	rm -f *~ *.pyc *.xhtml
	rm -rf _trial_temp

## twisted 1.3.0

=== sandbox/warner/Makefile ===
--- 
+++ 
@@ -6,8 +6,11 @@
 	lore -p --config template=../../doc/howto/template.tpl \
 		--config ext=.html $<
 
+TEST=test_banana test_schema test_pb
 test:
-	../../bin/trial -v test_banana test_schema test_pb
+	../../bin/trial -v $(TEST)
+test2:
+	../../bin/trial -o $(TEST)
 
 clean:
 	rm -f *~ *.pyc *.xhtml

## twisted 2.2.0-2ubuntu1

=== debian/changelog ===
twisted (2.2.0-2ubuntu1) dapper; urgency=low

  * Synchronize with Debian unstable.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Apr 2006 23:58:53 +0000

twisted (2.2.0-2) unstable; urgency=low

  * Fix classname in python/dispatch.py (closes: #359225).
  * Fix spelling errors in man pages (closes: #355227).
  * Drop conflicts on packages not tested with twisted >= 2.0 (closes: #359179).

 -- Matthias Klose <doko@debian.org>  Fri, 14 Apr 2006 23:25:37 +0000

twisted (2.2.0-1ubuntu1) dapper; urgency=low

  * Synchronize with Debian unstable.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Feb 2006 22:52:47 +0000

twisted (2.2.0-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 22 Feb 2006 08:28:04 +0100

twisted (2.1.0-4ubuntu1) dapper; urgency=low

  * Drop python2.3 packages.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Feb 2006 13:07:38 +0000

twisted (2.1.0-4) unstable; urgency=low

  * Fix typo in versioned dependencies on *-conch packages (closes: #349627).
  * Fix location of the core documentation in the doc-base file.
    Closes: #349627.

 -- Matthias Klose <doko@debian.org>  Thu,  2 Feb 2006 15:39:10 +0000

twisted (2.1.0-3) unstable; urgency=low

  * Rename python-twisted to python-twisted-core; python-twisted is now
    a transitional package, depending on python-twisted-core and all
    twisted modules, which were split out into separate packages.

 -- Matthias Klose <doko@debian.org>  Wed, 25 Jan 2006 17:56:16 +0100

twisted (2.1.0-2) unstable; urgency=low

  * debian/copyright: Include copyright for python 2.3; some 2.3 files
    are included in the upstream tarball, but not in the binary packages.

 -- Matthias Klose <doko@debian.org>  Mon, 16 Jan 2006 19:59:05 +0100

twisted (2.1.0-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 15 Jan 2006 22:07:22 +0000

twisted (2.0.1-4) unstable; urgency=low

  * Fix doc symlinks (closes: #313313).
  * Remove conflict with supyb, requested by the supyb maintainer.
  * Suggest python-wxgtk2.4 | python-wxgtk2.6.
  * Fix man page symlinks (closes: #326021, #314508, #315307, #323551).
  * Fix location of the tutorial in the doc-base file (closes: #318167).
  * python-twisted: Add dependency on python-soappy (closes: #317290).

 -- Matthias Klose <doko@debian.org>  Thu,  1 Sep 2005 15:49:29 +0200

twisted (2.0.1-3) unstable; urgency=low

  * Drop python2.2 packages, build python2.4 packages.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Jun 2005 19:05:59 +0200

twisted (2.0.1-2) unstable; urgency=low

  * Reupload as -2, -1 is sticking in the NEW queue from a hijack attempt.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Jun 2005 18:41:05 +0200

twisted (2.0.1-1) unstable; urgency=low

  * New upstream version, built from the sumo tarball.
  * (Build-)depend on zope-interface.
  * Explicitely conflict with all current packages depending on
    python-twisted and python-twisted-conch. Please check for
    compatibility first.
  * Do provide menu entries for the default version only.
  * Empty twisted-doc-api package at the moment.
  * Use debhelper for the packaging.
  * Change priority to optional.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Jun 2005 14:52:40 +0200

twisted (1.3.0-8) unstable; urgency=low

  * Fix the fix in gtk2reactor.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Feb 2005 14:45:43 +0100

twisted (1.3.0-7) unstable; urgency=low

  * Conditionally import the profile module (closes: #294493).
  * Add suggestions to the python-profiler package.
  * Suppress gtk2 user warning in gtk2reactor (closes: #291310).

 -- Matthias Klose <doko@debian.org>  Thu, 10 Feb 2005 13:12:20 +0100

twisted (1.3.0-6) unstable; urgency=medium

  * Fix two bad mail-related bugs, which are really harmful for the
    scalemail application (Tommi Virtanen):
    - insufficient error handling in mail delivery, causing mail loss
      (fixed by r12036)
    - unable to send mail from <> (fixed by r12767, which broke receiving
      mail from <>, which is fixed in r12858).
    Closes: #289993.

 -- Matthias Klose <doko@debian.org>  Sat, 15 Jan 2005 23:49:03 +0100

twisted (1.3.0-5) unstable; urgency=low

  * Fix memory leak in _c_urlarg.c (closes: #284818).
  * python2.3-twisted: Add python-glade-1.2 python-gtk-1.2 suggests.
    Closes: #283238.

 -- Matthias Klose <doko@debian.org>  Mon, 20 Dec 2004 19:23:11 +0100

twisted (1.3.0-4) unstable; urgency=low

  * Fix package recommendations.
  * twisted/xish/domish.py: Add fixes for jabber protocol implementation.
    Alexandre Fayolle. Closes: #273141.

 -- Matthias Klose <doko@debian.org>  Wed,  6 Oct 2004 08:06:47 +0200

twisted (1.3.0-3) unstable; urgency=medium

  * twisted-doc-api: Add link to docs (closes: #255888).
  * twisted-doc: Rename examples/xindex.html (closes: #255887).
  * twisted-doc: Include the Twisted tutorial (closes: #256598).
  * Install the PDF version of the Twisted Book, not the PostScript version.
  * python-twisted: Recommend the python-serial package.
  * Fix nmea protocol failing when checksums turned off (closes: #243136).
  * Add support for bool types in Twisted Serialize module (python2.3 only).
    Closes: #217053.

 -- Matthias Klose <doko@debian.org>  Sun, 29 Aug 2004 15:31:36 +0200

twisted (1.3.0-2) unstable; urgency=low

  * Fix links in twisted-doc's index.html (closes: #255548).

 -- Matthias Klose <doko@debian.org>  Mon, 21 Jun 2004 22:01:11 +0200

twisted (1.3.0-1) unstable; urgency=low

  * New upstream version.
  * Hijacking the package.
    See http://lists.debian.org/debian-qa/2004/06/msg00070.html.
  * Fix doc-base file (closes: #220698, #220699).
  * html files are included as .html, not .xhtml (closes: #192600).
  * Make package descriptions more verbose (closes: #209816).
  * Fix some lintian errors.

 -- Matthias Klose <doko@debian.org>  Sat, 19 Jun 2004 00:54:55 +0200

twisted (1.2.0-1.1) unstable; urgency=low

  * NMU.


=== debian/control ===
Source: twisted
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 4.2), python2.4-dev, python2.4-zopeinterface, python, patch
Standards-Version: 3.6.1

Package: python-twisted-core
Architecture: all
Depends: ${python:Depends}, python-zopeinterface
Suggests: python-tk, python-gtk2, python-glade-1.2, python-glade2, python-qt3, python-wxgtk2.4 | python-wxgtk2.6, python-profiler
Recommends: python-pyopenssl, python-pam, python-serial
Conflicts: python2.3-twisted (<< 2.1.0-4), python2.4-twisted (<< 2.1.0-4), python-twisted (<< 2.1.0-4)
Replaces: python2.3-twisted (<< 2.1.0-4), python2.4-twisted (<< 2.1.0-4), python-twisted (<< 2.1.0-4)
Description: Event-based framework for internet applications (dummy package)
 This is a dummy package that depends on the twisted library for the
 default version of Python.
 .
 It replaces the "twisted" package, which was non-policy compliant.

Package: python2.4-twisted-core
Architecture: all
Depends: ${python:Depends}, python2.4-twisted-bin, python2.4-zopeinterface
Suggests: python2.4-tk, python2.4-gtk2, python2.4-glade2, python2.4-qt3, twisted-doc, python2.4-twisted-conch, python2.4-profiler
Replaces: python2.1-twisted, python2.4-twisted (<< 2.1.0-4)
Conflicts: python2.4-twisted (<< 2.1.0-4)
Recommends: python2.4-pyopenssl, python2.4-pam
Description: Event-based framework for internet applications
 It includes a web server, a telnet server, a multiplayer RPG engine, a 
 generic client and server for remote object access, and APIs for creating 
 new protocols.
 . 
 This version is usable with python2.4

Package: python2.4-twisted-bin
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}
Description: Event-based framework for internet applications
 It includes a web server, a telnet server, a multiplayer RPG engine, a 
 generic client and server for remote object access, and APIs for creating 
 new protocols.
 . 
 This package contains the architectures specific files for python2.4-twisted

Package: twisted-doc
Section: doc
Architecture: all
Suggests: twisted
Recommends: www-browser | postscript-viewer | pdf-viewer, twisted-doc-api
Description: The official documentation of Twisted
 This contains various HOWTOs and overviews in various formats
 .
 Twisted is an event-based framework for internet applications.
 It includes a web server, a telnet server, a multiplayer RPG engine, a 
 generic client and server for remote object access, and APIs for creating 
 new protocols.

Package: twisted-doc-api
Section: doc
Architecture: all
Depends: twisted-doc
Description: The auto-generated API docs of Twisted
 Epydoc-generated HTML API docs of Twisted classes, modules and functions.
 .
 Twisted is an event-based framework for internet applications
 It includes a web server, a telnet server, a multiplayer RPG engine, a 
 generic client and server for remote object access, and APIs for creating 
 new protocols.

Package: python-twisted
Architecture: all
Depends: ${python:Depends}, python-twisted-core (>= 2.1), python-twisted-conch (>= 1:0.6), python-twisted-mail (>= 0.2), python-twisted-lore (>= 0.1), python-twisted-names (>= 0.2), python-twisted-news (>= 0.1), python-twisted-runner (>= 0.1), python-twisted-web (>= 0.5), python-twisted-words (>= 0.3)
Description: Event-based framework for internet applications (transitional package)
 This is a transitional package that depends on the twisted core library and
 all the libraries split out to separate packages starting with Twisted-2.0.1.

Package: python2.4-twisted
Architecture: all
Depends: python2.4-twisted-core (>= 2.1), python2.4-twisted-conch (>= 1:0.6), python2.4-twisted-mail (>= 0.2), python2.4-twisted-lore (>= 0.1), python2.4-twisted-names (>= 0.2), python2.4-twisted-news (>= 0.1), python2.4-twisted-runner (>= 0.1), python2.4-twisted-web (>= 0.5), python2.4-twisted-words (>= 0.3)
Description: Event-based framework for internet applications (transitional package)
 This is a transitional package that depends on the twisted core library and
 all the libraries split out to separate packages starting with Twisted-2.0.1.

=== debian/rules ===
#! /usr/bin/make -f

SHELL = /bin/bash

# all versions
PYVERS=$(subst -dev,,\
           $(subst python,,\
             $(filter python%-dev,\
               $(shell sed -n '/^Build-Depends/s/,//gp' debian/control))))

# default version
VER := $(shell /usr/bin/python -c 'import sys; print sys.version[:3]')

gamesdir = debian/twisted-quotes/usr/share/games/fortunes

build: build-stamp
build-stamp: $(PYVERS:%=build-python%)
	touch $@
build-python%:
	python$* setup.py build
	touch $@

clean:
	rm -rf *-stamp build-python* build
	rm -rf $(addprefix debian/,$(packages)) debian/files debian/substvars
	rm -rf _trial_temp test.log
	find . -name "*.pyc" |xargs -r rm
	dh_clean

install: build-stamp install-prereq $(PYVERS:%=install-python%) install-nover

install-prereq: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k

install-python%: install-prereq
	: # python-$*-twisted-core
	python$* setup.py install --prefix=debian/python$*-twisted-core/usr
	-find debian/python$*-twisted-core -name '*.py[co]' | xargs rm -f
	for i in debian/python$*-twisted-core/usr/bin/*; do \
	  mv $$i $${i}$*; \
	done
	mkdir -p debian/python$*-twisted-core/usr/share/man/man1
	for i in doc/man/{manhole,*tap*,trial,twistd}.1; do \
	  iv=`basename $$i .1`$*.1; \
	  cp -p $$i debian/python$*-twisted-core/usr/share/man/man1/$$iv; \
	done
	case $* in \
	  1.5|2.0|2.1|2.2) ;; \
	  *) rm -rf debian/python$*-twisted-core/usr/lib/python$*/site-packages/twisted/python/pymodules; \
	esac

	: # python-$*-twisted-bin
	dh_movefiles -ppython$*-twisted-bin \
	  --sourcedir=debian/python$*-twisted-core \
	    usr/lib/python$*/site-packages/twisted/protocols/_c_urlarg.so \
	    usr/lib/python$*/site-packages/twisted/spread/cBanana.so

	: # Replace all '#!' calls to python with python$*
	: # and make them executable
	for i in `find debian/python$** -mindepth 3 -type f`; do \
	  sed '1s,#!.*python[^ ]*\(.*\),#! /usr/bin/python$*\1,' \
		$$i > $$i.temp; \
	  if cmp --quiet $$i $$i.temp; then \
	    rm -f $$i.temp; \
	  else \
	    mv -f $$i.temp $$i; \
	    chmod 755 $$i; \
	    echo "fixed interpreter: $$i"; \
	  fi; \
	done

install-nover:
	: # twisted-doc
	mkdir -p debian/twisted-doc/usr/share/doc/twisted-doc
	cp -a doc/* debian/twisted-doc/usr/share/doc/twisted-doc/
	-find debian/twisted-doc -type d -name man | xargs rm -rf

	: # python-twisted-core
	mkdir -p debian/python-twisted-core/usr/bin
	for i in debian/python$(VER)-twisted-core/usr/bin/*; do \
	  iv=`basename $$i $(VER)`; \
	  ln -sf $${iv}$(VER) debian/python-twisted-core/usr/bin/$$iv; \
	done
	mkdir -p debian/python-twisted-core/usr/share/man/man1
	for i in debian/python$(VER)-twisted-core/usr/share/man/man1/*; do \
	  iv=`basename $$i $(VER).1`; \
	  ln -sf $${iv}$(VER).1.gz \
	    debian/python-twisted-core/usr/share/man/man1/$$iv.1.gz; \
	done

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	rm -rf debian/twisted-doc-api/usr/share/doc/twisted-doc-api
	ln -s twisted-doc debian/twisted-doc-api/usr/share/doc/twisted-doc-api
	for p in python-twisted; do \
	  rm -rf debian/$$p/usr/share/doc/$$p; \
	  ln -sf python$(VER)$${p#python*} debian/$$p/usr/share/doc/$$p; \
	done
	dh_installmenu -i
	dh_compress -i -X.py
	dh_fixperms -i
#	chmod +x debian/dh_python
#	debian/dh_python -i
	dh_python -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installmenu -a
	dh_strip -a
	dh_compress -a -X.py
	dh_fixperms -a
#	chmod +x debian/dh_python
#	debian/dh_python -a
	dh_python -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install install-nover install-prereq

=== debian/watch ===
version=2
http://www.twistedmatrix.com/downloads/Twisted-([\d\.]*)\.tar\.bz2

## twisted 8.2.0-3

=== debian/changelog ===
twisted (8.2.0-3) unstable; urgency=low

  * Depend on the standalone python-zope.interface{,-dbg} packages.
    Closes: #543132, #542932.
  * Remove plugins directory on purge. Closes: #527897.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Aug 2009 20:36:00 +0200

twisted (8.2.0-2) unstable; urgency=low

  * python-twisted-core: Regenerate the plugin cache as the last action
    in the postinst. Closes: #521663. LP: #361865.
  * Avoid md5/sha1 deprecation warnings. LP: #344782.

 -- Matthias Klose <doko@debian.org>  Sat, 18 Apr 2009 13:54:12 +0200

twisted (8.2.0-1) unstable; urgency=low

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Sat, 21 Feb 2009 12:15:25 +0100

twisted (8.2.0-0.1) unstable; urgency=low

  * New upstream version.

 -- Esteve Fernandez <esteve@fluidinfo.com>  Sat, 31 Jan 2009 14:40:47 +0100

twisted (8.1.0-4) unstable; urgency=low

  * Move the cache update from python-twisted into python-twisted-core.
    Closes: #500942.

    Plugins should update the cache on package install (postinst) and 
    removal (postrm remove) by updating the cache. See the postinst
    script of python-twisted-core how to update the cache.

  * Fix PortableGtkReactor (now able to run trial test suite with the gtk2
    reactor). Closes: #499311.
  * Don't install twisted/test/generator_failure_tests.py, syntax errors
    with python2.4. Closes: #492830.
  * Fix manhole to work with python-gtk2 (>= 2.10). Closes: #469105.
  * mktap(1) description of options fixed in an earlier version. 
    Closes: #278194.
  * mktap news fixed in an earlier version. Closes: #278196.
  * Fix build failure on GNU/kFreeBSD (Petr Salinger). Closes: #490770.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Oct 2008 21:22:21 +0200

twisted (8.1.0-3) unstable; urgency=low

  * Do not include twisted/plugins/dropin.cache, but generate it on
    configure, remove it on package removal. Closes: #489976.
  * twisted plugins have to update that cache on installation and removal.
    See the python-twisted-core postinst how to do so.

 -- Matthias Klose <doko@debian.org>  Fri, 11 Jul 2008 14:41:43 +0200

twisted (8.1.0-2) unstable; urgency=low

  * python-twisted-core: Include twisted/plugins/dropin.cache, Closes: #477103.
  * tap2deb.py: Fix some dependency names and names of binaries.
    Closes: #440454. LP: #120453.
  * python-twisted: Tighten dependencies.

 -- Matthias Klose <doko@debian.org>  Tue, 08 Jul 2008 16:34:14 +0200

twisted (8.1.0-1) unstable; urgency=low

  * New upstream version.
  * python-twisted: Add an egg-info file. Closes: #477384.

 -- Matthias Klose <doko@debian.org>  Wed, 28 May 2008 23:06:45 +0200

twisted (8.0.1-2) unstable; urgency=low

  * twisted/scripts/tap2deb.py: Create dependency on python-twisted.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Apr 2008 15:37:36 +0000

twisted (8.0.1-1) unstable; urgency=low

  * New upstream version.
  * Disable building the empty twisted-doc-api package. Closes: #313334.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Mar 2008 21:02:28 +0200

twisted (2.5.0-2) unstable; urgency=low

  * python-twisted-core: Suggest python-wxgtk2.8 as an alternative.

 -- Matthias Klose <doko@debian.org>  Thu, 07 Jun 2007 07:14:49 +0200

twisted (2.5.0-1) unstable; urgency=low

  * New upstream version, compatible with python2.5.
  * Merge from Ubuntu:
    - Build a python-twisted-dbg package.
    - Bump debhelper compatibility to v5.
    - Tighten dependencies of the python-twisted package.

 -- Matthias Klose <doko@debian.org>  Sun, 20 May 2007 19:29:53 +0200

twisted (2.4.0-3) unstable; urgency=medium

  * twisted/python/versions.py: Update to work with subversion 1.4.
    Closes: #405141.
  * python-twisted-core: Don't suggest python-wxgtk2.4 anymore.
    Closes: #391994.

 -- Matthias Klose <doko@debian.org>  Mon,  8 Jan 2007 00:01:04 +0100

twisted (2.4.0-2) unstable; urgency=high

  * python-twisted-core: Depend on python-twisted-bin.

 -- Matthias Klose <doko@debian.org>  Sun,  9 Jul 2006 12:04:18 +0000

twisted (2.4.0-1) unstable; urgency=low

  * New upstream version.
  * Convert packaging to use python-central (closes: #373392).
  * python-twisted-core: Do not suggest python-glade-1.2 (closes: #368514).
  * python-twisted.menu: Add python-tk as a required package for tkmtap.

 -- Matthias Klose <doko@debian.org>  Wed, 14 Jun 2006 03:45:29 +0200

=== debian/control ===
Source: twisted
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 5.0.37.1), python-central (>= 0.6.11), python-all-dev, python-all-dbg, python-zope.interface-dbg (>= 3.5.2-1maemo1) | python-zopeinterface-dbg, patch
Build-Conflicts: python-setuptools
XS-Python-Version: all
Standards-Version: 3.8.3

Package: python-twisted-core
Architecture: all
Depends: ${python:Depends}, python-twisted-bin (>= ${source:Version}), python-zope.interface (>= 3.5.2-1maemo1) | python-zopeinterface (>= 3.2.1-3), python (>= 2.3.5-9)
Suggests: python-tk, python-gtk2, python-glade2, python-qt3, python-wxgtk2.8 | python-wxgtk2.6, python-profiler
Recommends: python-openssl, python-pam, python-serial
Conflicts: python2.3-twisted (<< 2.1.0-4), python2.4-twisted (<< 2.1.0-4), python-twisted (<< 2.1.0-4), python2.3-twisted-core, python2.4-twisted-core
Replaces: python2.3-twisted (<< 2.1.0-4), python2.4-twisted (<< 2.1.0-4), python-twisted (<< 2.1.0-4), python2.3-twisted-core, python2.4-twisted-core
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Event-based framework for internet applications
 It includes a web server, a telnet server, a multiplayer RPG engine, a
 generic client and server for remote object access, and APIs for creating
 new protocols.

Package: python-twisted-bin
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}
Conflicts: python2.3-twisted-bin, python2.4-twisted-bin
Replaces: python2.3-twisted-bin, python2.4-twisted-bin
Provides: ${python:Provides}
Suggests: python-twisted-bin-dbg
XB-Python-Version: ${python:Versions}
Description: Event-based framework for internet applications
 It includes a web server, a telnet server, a multiplayer RPG engine, a 
 generic client and server for remote object access, and APIs for creating 
 new protocols.

Package: python-twisted-bin-dbg
Priority: extra
Section: debug
Architecture: any
Depends: python-zope.interface-dbg |python-zopeinterface-dbg, python-twisted-bin (= ${binary:Version}), python-dbg, ${shlibs:Depends}
Description: Event-based framework for internet applications (debug extension)
 It includes a web server, a telnet server, a multiplayer RPG engine, a 
 generic client and server for remote object access, and APIs for creating 
 new protocols.
 .
 This package contains the extension built for the Python debug interpreter.

Package: twisted-doc
Section: doc
Architecture: all
Suggests: python-twisted
Recommends: www-browser | postscript-viewer | pdf-viewer, twisted-doc-api
Description: The official documentation of Twisted
 This contains various HOWTOs and overviews in various formats
 .
 Twisted is an event-based framework for internet applications.
 It includes a web server, a telnet server, a multiplayer RPG engine, a 
 generic client and server for remote object access, and APIs for creating 
 new protocols.

#Package: twisted-doc-api
#Section: doc
#Architecture: all
#Depends: twisted-doc
#Description: The auto-generated API docs of Twisted
# Epydoc-generated HTML API docs of Twisted classes, modules and functions.
# .
# Twisted is an event-based framework for internet applications
# It includes a web server, a telnet server, a multiplayer RPG engine, a 
# generic client and server for remote object access, and APIs for creating 
# new protocols.

Package: python-twisted
Architecture: all
Depends: ${python:Depends}, python-twisted-core (>= 8.2), python-twisted-conch (>= 1:8.2), python-twisted-mail (>= 8.2), python-twisted-lore (>= 8.2), python-twisted-names (>= 8.2), python-twisted-news (>= 8.2), python-twisted-runner (>= 8.2), python-twisted-web (>= 8.2), python-twisted-words (>= 8.2)
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Event-based framework for internet applications (transitional package)
 This is a transitional package that depends on the twisted core library and
 all the libraries split out to separate packages starting with Twisted-2.0.1.

=== debian/rules ===
#! /usr/bin/make -f

SHELL = /bin/bash

DEB_HOST_ARCH_OS ?=  $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

# all versions
PYVERS	:= $(shell pyversions -vs)
VER	:= $(shell /usr/bin/python -c 'import sys; print sys.version[:3]')

gamesdir = debian/twisted-quotes/usr/share/games/fortunes

twersion := $(subst twisted-,,$(notdir $(CURDIR)))

include /usr/share/pycentral-data/pycentral.mk

build: build-stamp
build-stamp: $(PYVERS:%=build-python%)
	touch $@
build-python%:
	python$* setup.py build
	python$*-dbg setup.py build
	touch $@

clean:
	rm -rf *-stamp build-python* build
	rm -rf $(addprefix debian/,$(packages)) debian/files debian/substvars
	rm -rf _trial_temp test.log
	find . -name "*.pyc" |xargs -r rm
	dh_clean

install: build-stamp install-prereq $(PYVERS:%=install-python%) install-nover
	: # don't install generator_failure_tests.py, syntax error with python2.4
	find debian -name 'generator_failure_tests.py*' | xargs -r rm -f

install-prereq: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k

install-python%: install-prereq
	: # python-twisted-core
	python$* setup.py install --root=debian/python-twisted-core --install-layout=deb

	-find debian/python-twisted-core -name '*.py[co]' | xargs rm -f
#	for i in debian/python$*-twisted-core/usr/bin/*; do \
#	  mv $$i $${i}$*; \
#	done
#	mkdir -p debian/python$*-twisted-core/usr/share/man/man1
#	for i in doc/man/{manhole,*tap*,trial,twistd}.1; do \
#	  iv=`basename $$i .1`$*.1; \
#	  cp -p $$i debian/python$*-twisted-core/usr/share/man/man1/$$iv; \
#	done
	case $* in \
	  1.5|2.0|2.1|2.2) ;; \
	  *) rm -rf debian/python-twisted-core/usr/lib/python$*/*-packages/twisted/python/pymodules; \
	esac
	: # python2.5 only file
	rm -f debian/python-twisted-core/usr/lib/python$*/*-packages/twisted/test/generator_failure_tests.py

	: # python-twisted-bin
ifeq ($(DEB_HOST_ARCH_OS), linux)
	dh_movefiles -ppython-twisted-bin \
	  --sourcedir=debian/python-twisted-core \
	    usr/lib/python$*/$(call sitedir,$*)/twisted/protocols/_c_urlarg.so \
	    usr/lib/python$*/$(call sitedir,$*)/twisted/python/_epoll.so \
	    usr/lib/python$*/$(call sitedir,$*)/twisted/test/raiser.so
else
	dh_movefiles -ppython-twisted-bin \
	  --sourcedir=debian/python-twisted-core \
	    usr/lib/python$*/$(call sitedir,$*)/twisted/protocols/_c_urlarg.so \
	    usr/lib/python$*/$(call sitedir,$*)/twisted/test/raiser.so
endif

	: # python-twisted
	mkdir -p debian/python-twisted/usr/lib/python$*/$(call sitedir,$*)
	sed 's/@twersion@/$(twversion)/' debian/Twisted.egg-info.in \
		> debian/python-twisted/usr/lib/python$*/$(call sitedir,$*)/Twisted-$(twersion).egg-info

	: # Replace all '#!' calls to python with /usr/bin/python
	: # and make them executable
	for i in `find debian/python-twisted-* -mindepth 3 -type f`; do \
	  sed '1s,#!.*python[^ ]*\(.*\),#! /usr/bin/python\1,' \
		$$i > $$i.temp; \
	  if cmp --quiet $$i $$i.temp; then \
	    rm -f $$i.temp; \
	  else \
	    mv -f $$i.temp $$i; \
	    chmod 755 $$i; \
	    echo "fixed interpreter: $$i"; \
	  fi; \
	done

	: # python-twisted-bin-dbg
	python$*-dbg setup.py install --root=debian/python-twisted-bin-dbg --no-compile --install-layout=deb
	find debian/python-twisted-bin-dbg ! -type d ! -name '*_d.so' | xargs rm -f
	find debian/python-twisted-bin-dbg -depth -empty -exec rmdir {} \;

install-nover:
	: # twisted-doc
	mkdir -p debian/twisted-doc/usr/share/doc/twisted-doc
	cp -a doc/* debian/twisted-doc/usr/share/doc/twisted-doc/
	-find debian/twisted-doc -type d -name man | xargs rm -rf

	mkdir -p debian/python-twisted-core/usr/share/man/man1
	for i in doc/man/{manhole,*tap*,trial,twistd}.1; do \
	  cp -p $$i debian/python-twisted-core/usr/share/man/man1/; \
	done

#	: # python-twisted-core
#	mkdir -p debian/python-twisted-core/usr/bin
#	for i in debian/python$(VER)-twisted-core/usr/bin/*; do \
#	  iv=`basename $$i $(VER)`; \
#	  ln -sf $${iv}$(VER) debian/python-twisted-core/usr/bin/$$iv; \
#	done
#	mkdir -p debian/python-twisted-core/usr/share/man/man1
#	for i in debian/python$(VER)-twisted-core/usr/share/man/man1/*; do \
#	  iv=`basename $$i $(VER).1`; \
#	  ln -sf $${iv}$(VER).1.gz \
#	    debian/python-twisted-core/usr/share/man/man1/$$iv.1.gz; \
#	done

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
#	rm -rf debian/twisted-doc-api/usr/share/doc/twisted-doc-api
#	ln -s twisted-doc debian/twisted-doc-api/usr/share/doc/twisted-doc-api
	dh_installmenu -i
	dh_compress -i -X.py
	dh_fixperms -i
	dh_pycentral -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installmenu -a
	dh_strip -ppython-twisted-bin --dbg-package=python-twisted-bin-dbg
	rm -rf debian/python-twisted-bin-dbg/usr/share/doc/python-twisted-bin-dbg
	ln -s python-twisted-bin \
	    debian/python-twisted-bin-dbg/usr/share/doc/python-twisted-bin-dbg
	dh_compress -a -X.py
	dh_fixperms -a
	dh_pycentral -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install install-nover install-prereq

=== debian/watch ===
version=3
http://tmrc.mit.edu/mirror/twisted/Twisted/(\d\.\d)/ Twisted-([\d\.]*)\.tar\.bz2

## twisted 10.2.0

=== debian/changelog ===
twisted (10.2.0-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Feb 2011 04:47:56 +0100

twisted (10.1.0-3) unstable; urgency=low

  * Tighten build dependency to build with a fixed dh_python2. Closes: #592410.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Aug 2010 11:42:19 +0200

twisted (10.1.0-2) unstable; urgency=low

  * Remove all plugin cache files before rebuilding the cache files
    for the installed python versions.
  * python-twisted: Depend on the 10.1 versions of the twisted packages.
  * Remove the plugin cache files when package is removed, not only if
    it is purged.

 -- Matthias Klose <doko@debian.org>  Sun, 25 Jul 2010 15:56:17 +0200

twisted (10.1.0-1) unstable; urgency=low

  * New upstream version.
  * Build using dh_python2 instead of dh_pycentral.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Jul 2010 16:11:21 +0200

twisted (10.0.0-3) unstable; urgency=low

  * Add a trigger `twisted-plugins-cache' to rebuild the plugins cache.

 -- Matthias Klose <doko@debian.org>  Tue, 30 Mar 2010 17:55:15 +0200

twisted (10.0.0-2) unstable; urgency=low

  * Include changes from 9.0.0-2 which got skipped
  * python-twisted depends on version >= 10.0 of other packages

 -- Free Ekanayaka <freee@debian.org>  Tue, 09 Mar 2010 13:32:00 +0100

twisted (10.0.0-1) unstable; urgency=low

  * New upstream version.
  * Add myself as uploader.
  * Bump standards version to 3.8.4

 -- Free Ekanayaka <freee@debian.org>  Mon, 08 Mar 2010 12:32:45 +0100

twisted (9.0.0-2) unstable; urgency=low

  * Suppress output on stderr in postrm. Closes: #566395.
  * Don't recommend twisted-doc-api. Closes: #566913.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Feb 2010 02:14:52 +0100

twisted (9.0.0-1) unstable; urgency=low

  * python-twisted: Depend on the python-twisted-* 9.0 packages.
  * python-twisted: Depend on python-zope.interface only. Closes: #557781.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Jan 2010 19:38:17 +0100

twisted (9.0.0-0) unstable; urgency=low

  * New upstream version.
  * tap2deb: Use date -R instead of 822-date. Closes: #550565.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Jan 2010 18:46:39 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: python
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 5.0.37.1), python-central (>= 0.6.11), python-all-dev, python-all-dbg, python-zope.interface-dbg (>= 3.5.2-1maemo1) | python-zopeinterface-dbg, patch
+Uploaders: Free Ekanayaka <freee@debian.org>
+Build-Depends: debhelper (>= 5.0.37.1), python-all-dev (>= 2.6.5-13~), python-all-dbg, python-zope.interface-dbg, patch
 Build-Conflicts: python-setuptools
 XS-Python-Version: all
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 
 Package: python-twisted-core
 Architecture: all
-Depends: ${python:Depends}, python-twisted-bin (>= ${source:Version}), python-zope.interface (>= 3.5.2-1maemo1) | python-zopeinterface (>= 3.2.1-3), python (>= 2.3.5-9)
+Depends: ${python:Depends}, python-twisted-bin (>= ${source:Version}), python-zope.interface (>= 3.5), python (>= 2.3.5-9), ${misc:Depends}
 Suggests: python-tk, python-gtk2, python-glade2, python-qt3, python-wxgtk2.8 | python-wxgtk2.6, python-profiler
 Recommends: python-openssl, python-pam, python-serial
 Conflicts: python2.3-twisted (<< 2.1.0-4), python2.4-twisted (<< 2.1.0-4), python-twisted (<< 2.1.0-4), python2.3-twisted-core, python2.4-twisted-core
@@ -23,7 +24,7 @@
 
 Package: python-twisted-bin
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}
+Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: python2.3-twisted-bin, python2.4-twisted-bin
 Replaces: python2.3-twisted-bin, python2.4-twisted-bin
 Provides: ${python:Provides}
@@ -38,7 +39,7 @@
 Priority: extra
 Section: debug
 Architecture: any
-Depends: python-zope.interface-dbg |python-zopeinterface-dbg, python-twisted-bin (= ${binary:Version}), python-dbg, ${shlibs:Depends}
+Depends: python-zope.interface-dbg, python-twisted-bin (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
 Description: Event-based framework for internet applications (debug extension)
  It includes a web server, a telnet server, a multiplayer RPG engine, a 
  generic client and server for remote object access, and APIs for creating 
@@ -48,9 +49,11 @@
 
 Package: twisted-doc
 Section: doc
+Priority: extra
 Architecture: all
-Suggests: python-twisted
-Recommends: www-browser | postscript-viewer | pdf-viewer, twisted-doc-api
+Depends: ${misc:Depends}
+Suggests: python-twisted, twisted-doc-api
+Recommends: www-browser | postscript-viewer | pdf-viewer
 Description: The official documentation of Twisted
  This contains various HOWTOs and overviews in various formats
  .
@@ -61,8 +64,9 @@
 
 #Package: twisted-doc-api
 #Section: doc
+#Priority: extra
 #Architecture: all
-#Depends: twisted-doc
+#Depends: twisted-doc, ${misc:Depends}
 #Description: The auto-generated API docs of Twisted
 # Epydoc-generated HTML API docs of Twisted classes, modules and functions.
 # .
@@ -73,7 +77,8 @@
 
 Package: python-twisted
 Architecture: all
-Depends: ${python:Depends}, python-twisted-core (>= 8.2), python-twisted-conch (>= 1:8.2), python-twisted-mail (>= 8.2), python-twisted-lore (>= 8.2), python-twisted-names (>= 8.2), python-twisted-news (>= 8.2), python-twisted-runner (>= 8.2), python-twisted-web (>= 8.2), python-twisted-words (>= 8.2)
+Priority: extra
+Depends: ${python:Depends}, python-twisted-core (>= 10.1), python-twisted-conch (>= 1:10.1), python-twisted-mail (>= 10.1), python-twisted-lore (>= 10.1), python-twisted-names (>= 10.1), python-twisted-news (>= 10.1), python-twisted-runner (>= 10.1), python-twisted-web (>= 10.1), python-twisted-words (>= 10.1), ${misc:Depends}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: Event-based framework for internet applications (transitional package)

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 twersion := $(subst twisted-,,$(notdir $(CURDIR)))
 
-include /usr/share/pycentral-data/pycentral.mk
+include /usr/share/python/python.mk
 
 build: build-stamp
 build-stamp: $(PYVERS:%=build-python%)
@@ -30,8 +30,6 @@
 	dh_clean
 
 install: build-stamp install-prereq $(PYVERS:%=install-python%) install-nover
-	: # don't install generator_failure_tests.py, syntax error with python2.4
-	find debian -name 'generator_failure_tests.py*' | xargs -r rm -f
 
 install-prereq: build-stamp
 	dh_testdir
@@ -55,27 +53,29 @@
 	  1.5|2.0|2.1|2.2) ;; \
 	  *) rm -rf debian/python-twisted-core/usr/lib/python$*/*-packages/twisted/python/pymodules; \
 	esac
-	: # python2.5 only file
-	rm -f debian/python-twisted-core/usr/lib/python$*/*-packages/twisted/test/generator_failure_tests.py
 
 	: # python-twisted-bin
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 	dh_movefiles -ppython-twisted-bin \
 	  --sourcedir=debian/python-twisted-core \
-	    usr/lib/python$*/$(call sitedir,$*)/twisted/protocols/_c_urlarg.so \
-	    usr/lib/python$*/$(call sitedir,$*)/twisted/python/_epoll.so \
-	    usr/lib/python$*/$(call sitedir,$*)/twisted/test/raiser.so
+	    $(call py_libdir,$*)/twisted/protocols/_c_urlarg.so \
+	    $(call py_libdir,$*)/twisted/internet/_sigchld.so \
+	    $(call py_libdir,$*)/twisted/python/_epoll.so \
+	    $(call py_libdir,$*)/twisted/python/_initgroups.so \
+	    $(call py_libdir,$*)/twisted/test/raiser.so
 else
 	dh_movefiles -ppython-twisted-bin \
 	  --sourcedir=debian/python-twisted-core \
-	    usr/lib/python$*/$(call sitedir,$*)/twisted/protocols/_c_urlarg.so \
-	    usr/lib/python$*/$(call sitedir,$*)/twisted/test/raiser.so
+	    $(call py_libdir,$*)/twisted/protocols/_c_urlarg.so \
+	    $(call py_libdir,$*)/twisted/internet/_sigchld.so \
+	    $(call py_libdir,$*)/twisted/python/_initgroups.so \
+	    $(call py_libdir,$*)/twisted/test/raiser.so
 endif
 
 	: # python-twisted
-	mkdir -p debian/python-twisted/usr/lib/python$*/$(call sitedir,$*)
+	mkdir -p debian/python-twisted/$(call py_libdir,$*)
 	sed 's/@twersion@/$(twversion)/' debian/Twisted.egg-info.in \
-		> debian/python-twisted/usr/lib/python$*/$(call sitedir,$*)/Twisted-$(twersion).egg-info
+		> debian/python-twisted/$(call py_libdir,$*)/Twisted-$(twersion).egg-info
 
 	: # Replace all '#!' calls to python with /usr/bin/python
 	: # and make them executable
@@ -103,7 +103,7 @@
 	-find debian/twisted-doc -type d -name man | xargs rm -rf
 
 	mkdir -p debian/python-twisted-core/usr/share/man/man1
-	for i in doc/man/{manhole,*tap*,trial,twistd}.1; do \
+	for i in doc/man/{manhole,*tap*,trial,twistd,pyhtmlizer}.1; do \
 	  cp -p $$i debian/python-twisted-core/usr/share/man/man1/; \
 	done
 
@@ -130,7 +130,7 @@
 	dh_installmenu -i
 	dh_compress -i -X.py
 	dh_fixperms -i
-	dh_pycentral -i
+	dh_python2 -i
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
@@ -148,7 +148,7 @@
 	    debian/python-twisted-bin-dbg/usr/share/doc/python-twisted-bin-dbg
 	dh_compress -a -X.py
 	dh_fixperms -a
-	dh_pycentral -a
+	dh_python2 -a
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a

=== debian/watch ===
version=3
http://tmrc.mit.edu/mirror/twisted/Twisted/(\d+\.\d)/ Twisted-([\d\.]*)\.tar\.bz2

## twisted 11.0.0

=== debian/changelog ===
twisted (11.0.0-2) unstable; urgency=low

  * python-twisted depends on version >= 11.0 of other packages.

 -- Matthias Klose <doko@debian.org>  Fri, 22 Apr 2011 12:02:59 +0200

twisted (11.0.0-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Apr 2011 20:11:48 +0200

=== debian/control ===
--- 
+++ 
@@ -78,7 +78,7 @@
 Package: python-twisted
 Architecture: all
 Priority: extra
-Depends: ${python:Depends}, python-twisted-core (>= 10.1), python-twisted-conch (>= 1:10.1), python-twisted-mail (>= 10.1), python-twisted-lore (>= 10.1), python-twisted-names (>= 10.1), python-twisted-news (>= 10.1), python-twisted-runner (>= 10.1), python-twisted-web (>= 10.1), python-twisted-words (>= 10.1), ${misc:Depends}
+Depends: ${python:Depends}, python-twisted-core (>= 11.0), python-twisted-conch (>= 1:11.0), python-twisted-mail (>= 11.0), python-twisted-lore (>= 11.0), python-twisted-names (>= 11.0), python-twisted-news (>= 11.0), python-twisted-runner (>= 11.0), python-twisted-web (>= 11.0), python-twisted-words (>= 11.0), ${misc:Depends}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: Event-based framework for internet applications (transitional package)

=== debian/rules ===
--- 
+++ 
@@ -58,7 +58,6 @@
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 	dh_movefiles -ppython-twisted-bin \
 	  --sourcedir=debian/python-twisted-core \
-	    $(call py_libdir,$*)/twisted/protocols/_c_urlarg.so \
 	    $(call py_libdir,$*)/twisted/internet/_sigchld.so \
 	    $(call py_libdir,$*)/twisted/python/_epoll.so \
 	    $(call py_libdir,$*)/twisted/python/_initgroups.so \
@@ -66,7 +65,6 @@
 else
 	dh_movefiles -ppython-twisted-bin \
 	  --sourcedir=debian/python-twisted-core \
-	    $(call py_libdir,$*)/twisted/protocols/_c_urlarg.so \
 	    $(call py_libdir,$*)/twisted/internet/_sigchld.so \
 	    $(call py_libdir,$*)/twisted/python/_initgroups.so \
 	    $(call py_libdir,$*)/twisted/test/raiser.so

## twisted 11.1.0

=== debian/changelog ===
twisted (11.1.0-1) unstable; urgency=low

  * New upstream version.
  * Drop suggestions on python-wxgtk2.6 and python-profiler.
  * Fix lintian warnings.

 -- Matthias Klose <doko@debian.org>  Wed, 21 Dec 2011 12:29:38 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Build-Depends: debhelper (>= 5.0.37.1), python-all-dev (>= 2.6.5-13~), python-all-dbg, python-zope.interface-dbg, patch
 Build-Conflicts: python-setuptools
 XS-Python-Version: all
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: python-twisted-core
 Architecture: all
 Depends: ${python:Depends}, python-twisted-bin (>= ${source:Version}), python-zope.interface (>= 3.5), python (>= 2.3.5-9), ${misc:Depends}
-Suggests: python-tk, python-gtk2, python-glade2, python-qt3, python-wxgtk2.8 | python-wxgtk2.6, python-profiler
+Suggests: python-tk, python-gtk2, python-glade2, python-qt3, python-wxgtk2.8
 Recommends: python-openssl, python-pam, python-serial
 Conflicts: python2.3-twisted (<< 2.1.0-4), python2.4-twisted (<< 2.1.0-4), python-twisted (<< 2.1.0-4), python2.3-twisted-core, python2.4-twisted-core
 Replaces: python2.3-twisted (<< 2.1.0-4), python2.4-twisted (<< 2.1.0-4), python-twisted (<< 2.1.0-4), python2.3-twisted-core, python2.4-twisted-core
@@ -54,7 +54,7 @@
 Depends: ${misc:Depends}
 Suggests: python-twisted, twisted-doc-api
 Recommends: www-browser | postscript-viewer | pdf-viewer
-Description: The official documentation of Twisted
+Description: Official documentation of Twisted
  This contains various HOWTOs and overviews in various formats
  .
  Twisted is an event-based framework for internet applications.
@@ -67,7 +67,7 @@
 #Priority: extra
 #Architecture: all
 #Depends: twisted-doc, ${misc:Depends}
-#Description: The auto-generated API docs of Twisted
+#Description: Auto-generated API docs of Twisted
 # Epydoc-generated HTML API docs of Twisted classes, modules and functions.
 # .
 # Twisted is an event-based framework for internet applications
@@ -81,6 +81,6 @@
 Depends: ${python:Depends}, python-twisted-core (>= 11.0), python-twisted-conch (>= 1:11.0), python-twisted-mail (>= 11.0), python-twisted-lore (>= 11.0), python-twisted-names (>= 11.0), python-twisted-news (>= 11.0), python-twisted-runner (>= 11.0), python-twisted-web (>= 11.0), python-twisted-words (>= 11.0), ${misc:Depends}
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
-Description: Event-based framework for internet applications (transitional package)
- This is a transitional package that depends on the twisted core library and
+Description: Event-based framework for internet applications (dependency package)
+ This is a dependency package that depends on the twisted core library and
  all the libraries split out to separate packages starting with Twisted-2.0.1.

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,8 @@
 include /usr/share/python/python.mk
 
 build: build-stamp
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: $(PYVERS:%=build-python%)
 	touch $@
 build-python%:
